# octavia.certificates.common.auth package

## Submodules

## octavia.certificates.common.auth.barbican_acl module

Barbican ACL auth class for Barbican certificate handling

class BarbicanACLAuth

  Bases: `BarbicanAuth`

  classmethod ensure_secret_access(context, ref)

    Do whatever steps are necessary to ensure future access to a secret.

    Parameters:

      - context – pecan context object

      - ref – Reference to a Barbican object

  classmethod get_barbican_client(project_id=None)

    Creates a Barbican client object.

    Parameters:

      project_id – Project ID that the request will be used for

    Returns:

      a Barbican Client object

    Raises:

      Exception – if the client cannot be created

  classmethod get_barbican_client_user_auth(context)
  classmethod revoke_secret_access(context, ref)

    Revoke access of Octavia keystone user to a secret.

    Parameters:

      - context – pecan context object

      - ref – Reference to a Barbican object

## Module contents

this page last updated: 2026-04-02 20:14:22

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug